Page MenuHomePhabricator

Clean up wb_terms related views
Closed, ResolvedPublic

Description

The table wb_terms has been dropped in production.
On the wikireplicas we still have the following views:

  • wb_terms pointing to the empty table wb_terms
  • wb_terms_no_longer_updated pointing to the no-longer existing table T248086_wb_terms

The views should be cleaned up.

wb_terms_no_longer_updated should totally be cleaned up as the T248086_wb_terms is no more.

The wb_terms and wb_terms_no_longer_updated views exist on:

  • wikidatawiki_p
  • testcommonswiki_p
  • commonswiki_p
  • testwikidatawiki_p

About wb_terms view and table: from T251598#6099946

Let's drop the view _and_ the table wb_terms from labsdb1009-labsdb1012 1st of July.

Event Timeline

Restricted Application edited projects, added cloud-services-team (Kanban); removed cloud-services-team. · View Herald TranscriptMay 1 2020, 11:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Marostegui changed the task status from Open to Stalled.May 1 2020, 11:13 AM
Marostegui triaged this task as Medium priority.
Marostegui updated the task description. (Show Details)May 1 2020, 11:18 AM

I think it's enough time on our side (more than a month) and the drop is also announced too (several times in the past month) so wb_terms_no_longer_updated is definitely okay to be dropped but dropping empty table doesn't give us much benefit so I think it's okay to leave there for a while (and come back to it like two months later).

I think it's enough time on our side (more than a month) and the drop is also announced too (several times in the past month) so wb_terms_no_longer_updated is definitely okay to be dropped but dropping empty table doesn't give us much benefit so I think it's okay to leave there for a while (and come back to it like two months later).

I am fine with that - so I will include that we have to drop also the empty wb_terms on the wikireplicas

Marostegui updated the task description. (Show Details)May 1 2020, 2:03 PM
Marostegui updated the task description. (Show Details)
Marostegui changed the task status from Stalled to Open.Tue, May 5, 11:34 AM

Tables have been removed on the labsdb hosts - we can proceed with removing wb_terms_no_longer_updated view.

JHedden assigned this task to Bstorm.Tue, May 5, 4:32 PM
JHedden moved this task from Inbox to Soon! on the cloud-services-team (Kanban) board.

@Bstorm please skip labsdb1011 for now as it is still being repopulated with data.

Change 595203 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] wikireplicas: remove the wb_terms_no_long_updated view

https://gerrit.wikimedia.org/r/595203

Change 595203 merged by Bstorm:
[operations/puppet@production] wikireplicas: remove the wb_terms_no_long_updated view

https://gerrit.wikimedia.org/r/595203

Mentioned in SAL (#wikimedia-operations) [2020-05-08T21:33:09Z] <bstorm_> cleaning up wb_terms_no_longer_updated view on labsdb1009 T251598

Bstorm added a comment.Fri, May 8, 9:43 PM

labsdb1009 is done. Since we are already down one, I'm not sure I have much way to depool labsdb1010, and it doesn't want to go through on commonswiki and wikidatawiki. This is not a huge surprise.

Mentioned in SAL (#wikimedia-operations) [2020-05-08T21:45:27Z] <bstorm_> cleaned up wb_terms_no_longer_updated view on labsdb1012 T251598

Mentioned in SAL (#wikimedia-operations) [2020-05-08T21:45:56Z] <bstorm_> cleaned up wb_terms_no_longer_updated view for testwikidatawiki and testcommonswiki on labsdb1010 T251598

labsdb1009 is done. Since we are already down one, I'm not sure I have much way to depool labsdb1010, and it doesn't want to go through on commonswiki and wikidatawiki. This is not a huge surprise.

Yeah, hopefully labsdb1011 will be back next week.
labsdb1012 should be good to go though

Thank you!

@Bstorm you can now drop the views on labsdb1011 and labsdb1012 (if that one wasn't done already)

Mentioned in SAL (#wikimedia-operations) [2020-05-18T16:45:55Z] <bstorm_> updated views on labsdb1011 for the wb_terms changes T251598

That's done.

This just needs a run on labsdb1010. When I do the run for T252219 against 1009 and 1010, that will finish this off.

Actually, just succeeded in running on labsdb1010 by chance.

Bstorm closed this task as Resolved.Fri, May 29, 9:11 PM